<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables</title>
</head>
<body>
	<h2 align="center">Welcome to the Table Page</h2>
	<!-- div is a generic container of elements, However, we can add an identifier for our element. An id is a unic identifier for our elements. There should be only be one of a kind of id per page. -->
<div id="navDiv">
	<a href="./index.html">Home Page</a>
	<a href="./form.html">Form Page</a>

</div>

<h3>HTML Entities</h3>
	<p>
		<em>There are reserved characters in HTML. (e.g. &lt; or &gt;</em>
	</p>
	
	<p>
		HTML entities start with an ampersand (&) and with a semicolon (;).
	</p>
	<h4>Commom HTML Entities</h4>
	<!-- Table tag allows us to create a table where in we can display/information in a tabular form:
			in rows
			in column
	Border attribute when added to a table wil allow us to determine thickness of the borders in a table
	 -->

	 <table border="1">
	 	<!-- tr mean table row. It allows us to create row in an HTML table -->
	 	<!-- thead is used to group header/heading element in an HTML table -->
	 	<thead>
	 		<tr>
	 			<!-- th means table header, it allows us to add cell which will be our headers. Text in this element is bolded -->

	 			<!-- colspan attribute allows us how many column to occupy for a cell. -->

	 			<!-- rowspan that allows us to add howmany row to occupy for a cell -->
	 			<th colspan="2">Entity</th>
	 			<th>Description</th>
	 		</tr>
	 	</thead>
<!-- tbody tag is used to group body content in HTML table. This is where the bulk of td or table data will be put. -->
		<tbody>
			<tr>
				<!-- td means table data. These cell unlike th do not hold the text -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>

			</tr>
			<tr>
				<td rowspan="">&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>Peso Sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>Ampersand</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower tilde</td>
			</tr>
		</tbody>
		<!-- tfoot used to group footer content in an HTML table. It allows us to add misc content at the end of the table -->
		<tr>
			<th colspan="3">List of Common HTML Entities</th>
		</tr>
	 </table>

<hr>

<table border="1">
	<thead>
		<tr>
			<th>name</th>
			<th>price</th>
			<th>description</th>
		</tr>
	</thead>

	<tbody>
		<tr>
			<td>Egg</td>
			<td>&#8369;6.00</td>
			<td>White</td>
		</tr>

		<tr>
			<td>Hotdog</td>
			<td>&#8369;10.00</td>
			<td>Red</td>
		</tr>

		<tr>
			<td>Ham</td>
			<td>&#8369;20.00</td>
			<td>Square</td>
		</tr>

		<tr>
			<td>ballpen</td>
			<td>&#8369;5.00</td>
			<td>Blue</td>
		</tr>

		<tr>
			<td>pentel pen</td>
			<td>&#8369;20.00</td>
			<td>Black</td>
		</tr>
	</tbody>

</table>
</body>
</html>